Bug 192540 - Review Request: cal3d - A skeletal based 3-D character animation library
Review Request: cal3d - A skeletal based 3-D character animation library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-20 06:01 EDT by Christopher Stone
Modified: 2008-05-25 17:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 15:57:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-05-20 06:01:55 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/cal3d.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/cal3d-0.10.0-1.src.rpm

*** NOTE *** You may have to download the src rpm from http://tkmame.retrogames.com/fedora-extras/cal3d-0.10.0-1.src.rpm

Description:

Cal3d is a skeletal based 3-D character animation library written in C++
in a platform-/graphic API-independent way.
Comment 1 Christopher Stone 2006-05-20 11:57:29 EDT
oops, I meant to say above:

*** NOTE *** You may have to download the src rpm from
http://tkmame.retrogames.com/fedora-extras/
Comment 2 Christopher Stone 2006-05-20 12:24:25 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/cal3d.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/cal3d-0.10.0-2.src.rpm

*** NOTE *** You may have to download the src rpm from:
http://tkmame.retrogames.com/fedora-extras/

%changelog
* Sun May 21 2006 Christopher Stone <chris.stone@gmail.com> 0.10.0-2
- Move some devel documentation into doc package
Comment 3 Rudolf Kastl 2006-05-21 05:50:22 EDT
spec file looks good to me.
Comment 4 Wart 2006-05-26 14:34:28 EDT
MUST
====
* rpmlint output clean
* source matches upstream
  47b3b72c6adcf5351f0884639d606d05  cal3d-full-0.10.0.tar.bz2
* Macro usage consistent
* Package named appropriately
* Spec file legible and in Am. English
* headers, .pc, and unversioned .so's are in -devel
* -devel contains fully-versioned dependency on base package
* LGPL license ok, license file included
* No locales
* ldconfig called in %post/%postun for shared libs
* Not relocatable
* Owns directories that it creates
* No duplicate %files
* Builds in mock on:
  FC4-i386, FC4-x86_64, FC5-i386, FC5-x86_64, devel-i386, devel-x86_64

SHOULD
======
* Ask upstream to include pregenerated configure scripts in their
  published tarballs.  I heard through the grapevine that upstream has moved
their download server off of sourceforge and produced a new source tarball that
doesn't require running 'autoreconf'.  I'd suggest using that tarball, but won't
consider it a blocker.

* My personal preference is to remove the *.la files in %install instead
  of %excluding them so that the %files section is cleaner.

MUSTFIX
=======
* Don't use %{name} in %description or the -devel package summary
* Remove the leading 'A' from the Summary
Comment 5 Christopher Stone 2006-05-30 17:39:50 EDT
Thanks for the review.  Upstream is hinting at version 0.11.0 being released
next week, so I will wait until that is out before updating the spec.
Comment 6 Christopher Stone 2006-06-13 23:37:10 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/cal3d.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/cal3d-0.10.0-4.src.rpm

%changelog
* Tue Jun 13 2006 Christopher Stone <chris.stone@gmail.com> 0.10.0-4
- Add libtool to BuildRequires

* Mon Jun 12 2006 Christopher Stone <chris.stone@gmail.com> 0.10.0-3
- Update URL
- Shortened summary description
- Removed %%{name} from devel/doc description and summary
- Add pkgconfig to Requires for devel
- Remove %%makeinstall
- Add %%check section
Comment 7 Wart 2006-06-14 11:00:50 EDT
All mustfix items addressed.

APPROVED
Comment 8 Christopher Stone 2008-05-24 16:56:22 EDT
Package Change Request
======================
Package Name: cal3d
New Branches: EL-5
Comment 9 Kevin Fenzi 2008-05-25 17:18:06 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.